Subject: RE: [dhcwg] Last call on two DHCPv6 docs

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Tue, 7 May 2002 09:49:04 -0500

I think the intended meaning here is that these options are only allowed in these messages and no others. For example, a Domain Name Server option may not appear in a Relay-Forw/-Reply.

This was not intended to mean that the option MUST appear in each of these messages; just that it may.

The likely usage is as follows:
	Solicit	- In ORO
	Advertise	- Option will appear since it is telling the client what it may get
	Request	- In ORO
	Confirm	- Option may appear since it might be useful in validating whether the client is on the correct link.
	Renew/Rebind- Option or in ORO
	Information-Request - In ORO or Option if Reconfigure response?
	Reply		- Option

- Bernie

-----Original Message-----
From: Vijayabhaskar A K [mailto:[email-masked]]
Sent: Tuesday, May 07, 2002 8:57 AM
To: 'Ralph Droms'; [email-masked]
Subject: RE: [dhcwg] Last call on two DHCPv6 docs

The Domain Name Server option MUST appear only in the following
   messages: Solicit, Advertise, Request, Confirm, Renew, Rebind,
   Information-Request, Reply.

The Domain Search List option MUST appear only in the following
   messages: Solicit, Advertise, Request, Confirm, Renew, Rebind,
   Information-Request, Reply.

Do these options really need to appear in all the above mesg types?
Because, for all the messages originating from client, ORO option
filled with DNS server/ Domain Search list option number will do.
If there are muliple options the client is requesting, this
will save some bytes also, if ORO is used for this.
I feel that only in Reply message, this is needed.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Ralph Droms
> Sent: Tuesday, May 07, 2002 3:01 PM
> To: [email-masked]
> Subject: [dhcwg] Last call on two DHCPv6 docs
> 
> 
> These two docs were originally part of the DHCPv6 draft that 
> went through 
> WG last call:
> 
> draft-ietf-dhc-dhcpv6-opt-dnsconfig-01.txt
> draft-ietf-dhc-dhcpv6-opt-dstm-01.txt
> 
> Unless there is an objection by 5PM Wed, 5/8, I will request 
> IETF last call 
> on these docs.
> 
> - Ralph Droms
> 
> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg